.. Open Infrastructure: compute-tools

.. Copyright (C) 2014-2021 Daniel Baumann <daniel.baumann@open-infrastructure.net>
..
.. SPDX-License-Identifier: GPL-3.0+
..
.. This program is free software: you can redistribute it and/or modify
.. it under the terms of the GNU General Public License as published by
.. the Free Software Foundation, either version 3 of the License, or
.. (at your option) any later version.
..
.. This program is distributed in the hope that it will be useful,
.. but WITHOUT ANY WARRANTY; without even the implied warranty of
.. MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
.. GNU General Public License for more details.
..
.. You should have received a copy of the GNU General Public License
.. along with this program.  If not, see <https://www.gnu.org/licenses/>.

===========================
container-build-debootstrap
===========================

-------------------------------------------------------------------
Build a basic Debian based container with debootstrap or mmdebstrap
-------------------------------------------------------------------

:manual section: 1
:manual group: Open Infrastructure

Synopsis
========

| **container build -s debootstrap** ['OPTIONS']
| **cnt b -s debootstrap** ['OPTIONS']

| **container build -s mmdebstrap** ['OPTIONS']
| **cnt b -s mmdebstrap** ['OPTIONS']

Description
===========

The debootstrap container build script uses debootstrap(8) or mmdebstrap(1)
to build a Debian based container.

This script builds a pure Debian system with three modificiations:

  * apt cache of packages downloaded during debootstrap is cleaned
  * hostname is set (container name) in /etc/hostname
  * root password is set (user specified or 16 random characters)

Options
=======

The following script options are available:

-n, --name='NAME':
  Specify container name.

-a, --architecture='ARCHITECTURE':
  Specify the Debian architecture, defaults to the host systems architecture.

-d, --distribution='DISTRIBUTION':
  Specify the Debian distribution, defaults to 'bullseye'.

-m, --mirror='MIRROR':
  Specify the Debian mirror, defaults to 'https://deb.debian.org/debian'.

-p, --root-password='PASSWORD':
  Specify the root password, defaults to a random 16 character password.

Examples
========

Build a Debian 11 (bullseye) based container with same architecture as the host
system using debootstrap:

  sudo container build -s debootstrap -n bullseye.example.net

Build a Debian 11 (bullseye) based container with different architecture as the
host system using mmdebstrap:

  sudo container build -s mmdebstrap -n bullseye-i386.example.net -- -a i386

See also
========

| compute-tools(7),
| container(1).

Homepage
========

More information about compute-tools and the Open Infrastructure project can be
found on the homepage (https://open-infrastructure.net).

Contact
=======

Bug reports, feature requests, help, patches, support and everything else are
welcome on the Open Infrastructure Software Mailing List
<software@lists.open-infrastructure.net>.

Debian specific bugs can also be reported in the Debian Bug Tracking System
(https://bugs.debian.org).

Authors
=======

compute-tools were written by Daniel Baumann
<daniel.baumann@open-infrastructure.net> and others.
